import 'dart:io';

import 'package:localization_builder/localization_builder.dart';
import 'package:yaml/yaml.dart';

Future<void> main() async {
  final parser = YamlLocalizationParser();
  final yaml = await File('example.yaml').readAsString();
  final node = loadYaml(yaml);
  final result = parser.parse(node);
  final dart =
      DartLocalizationBuilder().build(result.result.copyWith(name: 'Example'));
  print(dart);
}
