import 'package:meta/meta.dart';

class CsvLocalizationToken {
  const CsvLocalizationToken({
    @required this.row,
    @required this.column,
    @required this.type,
  });

  const CsvLocalizationToken.unknown(this.row, this.column)
      : type = CsvLocalizationTokenType.unknown;

  final int row;
  final int column;
  final CsvLocalizationTokenType type;
}

enum CsvLocalizationTokenType {
  unknown,
  key,
}
